# Note that this is NOT a relocatable package
Summary: Backward compatibility XML library.
Name: libxml10
Version: 1.0.0
Release: 7
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libxml/libxml-1.0.0.tar.gz
Patch0: libxml-1.0.0-gcc296.patch
BuildRoot: /var/tmp/libxml-%{version}-root
URL: http://www.gnome.org
Prereq: /sbin/install-info
ExcludeArch: ia64

%description
The libxml package contains the XML library version 1.0, which allows 
you to manipulate XML files. XML (eXtensible Markup Language) is a data
format for structured document interchange via the Web.

This package is provided as a backwards compatibility package for older 
application that might exist on your system but have not been recompiled 
yet for the new library version.

%prep
%setup -n libxml-1.0.0 -q
%patch0 -p1 -b .gcc296

%build
libtoolize --copy --force
%configure
make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%{_prefix}/lib/lib*.so.*


%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Dave Mason <dcm@redhat.com>
- updated spec file to new RPM guidelines

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- patched to build against gcc 2.96 va_arg (patch0)

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release
- libtoolize
- do not build on ia64, as we never shipped libxml-1.0 on it

* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- fox descriptions

* Thu Aug 12 1999 Jonathan Blandford <jrb@redhat.com>
- Creating binary compat. library.

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30

